Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.tiff
Class TIFFNode

    java.lang.Object
      org.monte.media.tiff.TIFFNode

Direct Known Subclasses:
  TIFFDirectory, TIFFField

    public abstract class TIFFNode

extends java.lang.Object

TIFFNode.

Version:
  1.0 2010-07-25 Created.
Author:
  Werner Randelshofer

Field Summary
`protected IFDEntry` | `ifdEntry` The IFDEntry from which this node was read.
`protected TIFFTag` | `tag` The tag which identifies this node.

Constructor Summary
`TIFFNode(TIFFTag tag)`

Method Summary
`void` | `add(TIFFNode node)`
`TIFFNode` | `getChildAt(int i)`
`int` | `getChildCount()`
`java.util.ArrayList<TIFFNode>` | `getChildren()`
`IFDEntry` | `getIFDEntry()`
`TIFFNode` | `getParent()`
`TIFFTag` | `getTag()`
`java.lang.String` | `getTagName()`
`int` | `getTagNumber()` Returns the tag number or -1 if not known.
`java.util.Iterator<TIFFNode>` | `postorderIterator()`
`java.util.Iterator<TIFFNode>` | `preorderIterator()`
`void` | `removeFromParent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    protected TIFFTag tag

  The tag which identifies this node.

### ifdEntry

    protected IFDEntry ifdEntry

  The IFDEntry from which this node was read. IFDEntry is null, if this node has not been read from a TIFF file.

Constructor Detail

### TIFFNode

    public TIFFNode(TIFFTag tag)

Method Detail

### getTagName

    public java.lang.String getTagName()

### getTag

    public TIFFTag getTag()

### getTagNumber

    public int getTagNumber()

  Returns the tag number or -1 if not known.

### getIFDEntry

    public IFDEntry getIFDEntry()

### add

    public void add(TIFFNode node)

### getChildren

    public java.util.ArrayList<TIFFNode> getChildren()

### getParent

    public TIFFNode getParent()

### preorderIterator

    public java.util.Iterator<TIFFNode> preorderIterator()

### postorderIterator

    public java.util.Iterator<TIFFNode> postorderIterator()

### getChildCount

    public int getChildCount()

### getChildAt

    public TIFFNode getChildAt(int i)

### removeFromParent

    public void removeFromParent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD